petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecGetType

Gets the vector type name (as a string) from the Vec.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetType(Vec vec, VecType *type)

Not Collective

### Input Parameter

vec -The vector

### Output Parameter

type -The vector type name

### Keywords

vector, get, type, name

### See Also

VecSetType(), VecCreate()

### Level

intermediate

### Location

src/vec/vec/interface/vecreg.c

### Examples

src/vec/vec/examples/tutorials/ex1f.F90.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages